/*
  Name: stone.h
  Copyright: Polecatsoft 2005
  Author: Master Lenman
  Date: 14.08.05 17:06
  Description: Contains an enemy type: The stone.
            The stone will just fly through the screen.
  Game: 24h of Le Merde
*/

#ifndef STONE_H
#define STONE_H

extern BITMAP *gfx;

class stone : public enemy
{
public:
	//Standard constructor
	stone();
	//Move has to return the number of life points the player should lose
	int move(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
	//If this method returns true, the object needs to be destroyed
	bool finished();
	//This method should simply draw the enemy
	void draw();
	//If the player uses his attack, this method is called
	void attack(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
};

#endif
