/*
  Name: car.h
  Copyright: Polecatsoft 2005
  Author: Master Lenman
  Date: 14.08.05 17:59
  Description: The car is a very hard enemy type:
			It follows you and tries to hit you
  Game: 24h of Le Merde
*/

#ifndef CAR_H
#define CAR_H

extern BITMAP *cargfx;

class enemycar : public enemy
{
private:
	int time;
public:
	//Default constructor
	enemycar();
	//Move has to return the number of life points the player should lose
	int move(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
	//If this method returns true, the object needs to be destroyed
	bool finished();
	//This method should simply draw the enemy
	void draw();
	//If the player uses his attack, this method is called
	void attack(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
};

#endif
