/*
  Name: mine.h
  Copyright: Polecatsoft 2005
  Author: Master Lenman
  Date: 14.08.05 19:41
  Description: The mine is almost like a stone, but it's larger and will explode
                after you drove over it.
  Game: 24h of Le Merde
*/

#ifndef MINE_H
#define MINE_H

extern BITMAP *minegfx, *mineExplosion;
extern sound mineExplosionSfx;

class mine : public enemy
{
public:
	//Standard constructor
	mine();
	//Move has to return the number of life points the player should lose
	int move(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
	//If this method returns true, the object needs to be destroyed
	bool finished();
	//This method should simply draw the enemy
	void draw();
	//If the player uses his attack, this method is called
	void attack(int playerPosX, int playerPosY, int playerWidth, int playerHeight);
};

#endif
